Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.scripting
Class PythonExtension

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.extension.SimpleExtension
              com.dbxml.db.common.scripting.ScriptExtension
                  com.dbxml.db.common.scripting.PythonExtension

All Implemented Interfaces:
  Configurable, Extension

public final class PythonExtension
extends ScriptExtension

PythonExtension is an experimental Extension for executing Python with the Jython interpreter.

Field Summary

Fields inherited from class com.dbxml.db.common.scripting.ScriptExtension
`PARAMS_execute`

Constructor Summary
`PythonExtension()`

Method Summary
`com.dbxml.labrador.types.Variant` | `execute(java.util.Map args)` execute must be implemented by a script-interpreting Extension.

Methods inherited from class com.dbxml.db.common.scripting.ScriptExtension
`setConfig`

Methods inherited from class com.dbxml.db.core.extension.SimpleExtension
`getCollection, getName, setCollection`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Constructor Detail

### PythonExtension

    public PythonExtension()

Method Detail

### execute

    public com.dbxml.labrador.types.Variant execute(java.util.Map args)

  Description copied from class: `ScriptExtension`
  execute must be implemented by a script-interpreting Extension.

  Specified by:
    `execute` in class `ScriptExtension`
  Parameters:
    `args` - Free-form argument list
  Returns:
    The result of the script

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group